Get Usage Limits
Retrieve your current rate limits, usage spending, and storage consumption for the billing period.
GET
/api/users/me/usage-limitsAuthorization
apiKey X-API-Key<token>
Your Sim API key (personal or workspace). Generate one from the Sim dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
curl -X GET \ "https://www.sim.ai/api/users/me/usage-limits" \ -H "X-API-Key: YOUR_API_KEY"{
"success": true,
"rateLimit": {
"sync": {
"requestsPerMinute": 60,
"maxBurst": 10,
"remaining": 59,
"resetAt": "2025-06-20T14:16:00Z",
"isLimited": true
},
"async": {
"requestsPerMinute": 60,
"maxBurst": 10,
"remaining": 59,
"resetAt": "2025-06-20T14:16:00Z",
"isLimited": true
},
"authType": "string"
},
"usage": {
"currentPeriodCost": 0,
"limit": 0,
"plan": "string"
},
"storage": {
"usedBytes": 0,
"limitBytes": 0,
"percentUsed": 0
}
}{
"error": "string"
}